Subject: webdav compliant resouce

From: "Tao Wan" <[email-masked]>
Date: Fri, 6 Jul 2001 10:11:41 -0700

Hi,
     according to RFC2518, it said a webdav compliant collection may hold
not webdav compliant resource.
if so, when I use propfind with <allprop> and depth = 1 header to request
properties, webdav should make response
for all properties of its immediate members or just for all properties of
its immediate members which is webdav compliant.
how to identify a webdav compliant resource or not. Thanks

Tao Wan
DBTI Content Management
IBM Silicon Valley Labs, San Jose, CA
Phone: 408 463 2256
Internet email: [email-masked]

---

From: "Clemm, Geoff" <[email-masked]>
Date: Fri, 6 Jul 2001 13:49:13 -0400

Section 5.2 states that it is server-defined whether or not
a collection lists non-compliant resources as internal members.

You can identify that a resource is webDAV compliant if it 
returns a "1" as a value in the DAV header returned from an OPTIONS
request.

Cheers,
Geoff

-----Original Message-----
From: Tao Wan [mailto:[email-masked]]
Sent: Friday, July 06, 2001 1:12 PM
To: [email-masked]
Subject: webdav compliant resouce

Hi,

Tao Wan
DBTI Content Management